hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | None
Language | Haskell2010

HaskellWorks.Data.Vector.AsVector64

# Documentation

class AsVector64 a where #

Methods

asVector64 :: a -> Vector Word64 #

#### Instances

Instances details

AsVector64 ByteString # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector64 Methods asVector64 :: ByteString -> Vector Word64 #
AsVector64 (Vector Word64) # |
Instance details Defined in HaskellWorks.Data.Vector.AsVector64 Methods asVector64 :: Vector Word64 -> Vector Word64 #